﻿; Переменные:

BUFFER = 1004  ; Адрес буфера чтения блока
USR    = 1006  ; Адрес загрузки функции пользователя
SIZ    = 1010  ; Размер диска (граница поиска)
OFSADR = 1012  ; Адрес смещения (Offset)
OFSBLK = 1014  ; Блок смещения
BLK    = 1016  ; Текущий блок
KS     = 1020  ; Контрольная сумма блока после чтения
METADR = 1022  ; Адрес метки (в буфере)
METBLK = 1024  ; Блок метки
MOD    = 1026  ; Модель WORD,BYTE или адрес цепочки модели
               ; ASCII или MACRO-11 (адрес конца цепочки
               ; хранится в ячейке перед ней, т.е. @#MOD-2)
MODFLG = 1030  ; Флаг типа модели: 0-WORD,  1-BYTE
               ;                   2-ASCII, 3-MACRO.
DEV    = 1031  ; Текущее устройство
FLAG   = 1032  ; Флаг курсора: 0 - курсор в поле цифр,
               ;               1 - курсор в поле символов
INFFLG = 1033  ; Флаг информации: 0-DEC, 1-BIN, 3-OCT.
INF    = 1034  ; Система счисления для вывода информации
USRFLG = 1035  ; Флаг наличия подпрограммы пользователя
               ; 1 - подпрограмма отсутствует
               ; 0 - подпрограмма загружена
CURADR = 1116  ; текущий адрес в файле
DRVTAB = 1124  ; Адрес блока параметров драйвера дисковода
               ; для не ANDOS систем (400)
TIMDOW = 1126  ; Задержка на опускание головки дисковода
TIMTRK = 1130  ; Задержка перехода с дорожки на дорожку
TRK    = 1132  ; байт дисковода 0-40, 1-80
DISK   = 1133  ; байт дискеты 0-40, 1-80
SIDE   = 1134  ; кол-во сторон 0-2, 1002-1
OSType = 1136  ; флаг: 0 - АНДОС !0 - МКДОС
VERSION = 1137 ; Версия DESS
; Примечание:  Ячейки DRVTAB, TIMDOW, TIMTRK, TRK, DISK,  SIDE
;             справедливы только для не ANDOS систем и  дискет
;             так как в ANDOS настройка  происходит  автоматически.

; Подпрограммы:

GETNUM = 1036  ; Ввод числа в трёх системах с клавиатуры.
GET    = 1042  ; Ввод числа из буфера памяти.
STROKA = 1046  ; Редактор строки.
OCTOUT = 1052  ; Вывод восьмеричного числа из R5.
INOUT  = 1056  ; Подпрограмма чтения/записи с диска,
               ; аналог @#160004.
OFF    = 1062  ; Подпрограмма остановки дисковода.
TXT    = 1066  ; Перемещаемый вывод строки символов.
EMT6R  = 1072  ; Опрос клавиатуры с автоповтором.
EMT6   = 1076  ; Опрос клавиатуры, с возвращением
               ; латинского заглавного регистра.
ASSMBL = 1102  ; ассемблирование инструкции
DISASS = 1106  ; дизассемблирование инструкции
OCTOUI = 1112  ; Вывод восьмеричного числа из R5 через IOT
PRINT  = 1120  ; Печать символьной копии экрана.
REPLAC = 1140  ; Подсчёт КС блока - буфера и перезапись
               ; по запросу "Replace?" при несовпадении.
